<?php
/**
 *\licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
 *\portion code Copyright (c) 2002 osCommerce
 *\package osCSS-2 <www http://www.oscss.org>
 *\version 2.1.0
 *\date  28/11/10, 08:18
 *\author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
 *\encode UTF-8
 *\group boxes
 *\file includes/boxes/currencies.php
*/
  global $page,$PHP_SELF,$request_type,$hidden_get_variables,$currencies_array;

  $currency=$page->the_var('currency');
  $currencies=$page->return_object('currencies');
  if (!isset($currencies) || !is_object($currencies)) return false;

  reset($currencies->currencies);
  $currencies_array = array();
  while (list($key, $value) = each($currencies->currencies)) $currencies_array[] = array('id' => $key, 'text' => $value['title'], 'symbol'=>(!empty($value['symbol_left'])? $value['symbol_left']:$value['symbol_right'] ));

  $hidden_get_variables = '';
  reset($_GET);
  while (list($key, $value) = each($_GET)) if ( ($key != 'currency') && ($key != tep_session_name()) )  $hidden_get_variables .= tep_draw_hidden_field($key, $value);


  $array['title']=__('box heading currencies');
  $array['content']=tep_output_string_protected(tep_get_include_contents('box.currencies'), false, true) ;

?>